Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.jsptools.portal
Class PortalBeanManager

    java.lang.Object
      com.bea.jsptools.portal.PortalBeanManager

public class PortalBeanManager
extends Object

Constructor Summary
`PortalBeanManager()`

Method Summary
`static BookDefinitionManager` | `getBookDefinitionManager()` Return an instance of the BookDefinitionManager session bean
`protected static BookDefinitionManagerHome` | `getBookDefinitionManagerHome()` Lookup, instantiate, and cache the BookDefinitionManagerHome.
`static DesktopDefinitionManager` | `getDesktopDefinitionManager()` Return an instance of the DesktopDefinitionManager session bean
`protected static DesktopDefinitionManagerHome` | `getDesktopDefinitionManagerHome()` Lookup, instantiate, and cache the DesktopDefinitionManagerHome.
`static LocalizationManager` | `getLocalizationManager()` Return an instance of the MarkupDefinitionManager session bean
`protected static LocalizationManagerHome` | `getLocalizationManagerHome()` Lookup, instantiate, and cache the LocalizationManagerHome.
`static LookAndFeelDefinitionManager` | `getLookAndFeelDefinitionManager()` Return an instance of the LookAndFeelDefinitionManager session bean
`protected static LookAndFeelDefinitionManagerHome` | `getLookAndFeelDefinitionManagerHome()` Lookup, instantiate, and cache the LookAndFeelDefinitionManagerHome.
`static MarkupDefinitionManager` | `getMarkupDefinitionManager()` Return an instance of the MarkupDefinitionManager session bean
`protected static MarkupDefinitionManagerHome` | `getMarkupDefinitionManagerHome()` Lookup, instantiate, and cache the MarkupDefinitionManagerHome.
`static PageDefinitionManager` | `getPageDefinitionManager()` Return an instance of the PageDefinitionManager session bean
`protected static PageDefinitionManagerHome` | `getPageDefinitionManagerHome()` Lookup, instantiate, and cache the PageDefinitionManagerHome.
`static PortalCustomizationManager` | `getPortalCustomizationManager()` Return an instance of the PortalCustomizationManager session bean
`protected static PortalCustomizationManagerHome` | `getPortalCustomizationManagerHome()` Lookup, instantiate, and cache the PortalCustomizationManagerHome.
`static PortalDefinitionManager` | `getPortalDefinitionManager()` Return an instance of the PortalDefinitionManager session bean
`protected static PortalDefinitionManagerHome` | `getPortalDefinitionManagerHome()` Lookup, instantiate, and cache the PortalDefinitionManagerHome.
`static PortletCategoryManager` | `getPortletCategoryManager()` Return an instance of the PortletCategoryDefinitionManager session bean
`protected static PortletCategoryManagerHome` | `getPortletCategoryManagerHome()` Lookup, instantiate, and cache the PortletCategoryManagerHome.
`static PortletDefinitionManager` | `getPortletDefinitionManager()` Return an instance of the PortletDefinitionManager session bean
`protected static PortletDefinitionManagerHome` | `getPortletDefinitionManagerHome()` Lookup, instantiate, and cache the PortletDefinitionManagerHome.
`static com.bea.portlet.prefs.delegate.PreferencePersistenceDelegate` | `getPreferencePersistenceDelegate()` Return an instance of the PreferencePersistenceDelegate
`static com.bea.portlet.prefs.PreferencePersistenceManager` | `getPreferencePersistenceManager()` Return an instance of the PreferencePersistenceManager session bean
`protected static com.bea.portlet.prefs.PreferencePersistenceManagerHome` | `getPreferencePersistenceManagerHome()` Lookup, instantiate, and cache the PreferencePersistenceManagerHome.
`static ShellDefinitionManager` | `getShellDefinitionManager()` Return an instance of the ShellDefinitionManager session bean
`protected static ShellDefinitionManagerHome` | `getShellDefinitionManagerHome()` Lookup, instantiate, and cache the ShellDefinitionManagerHome.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortalBeanManager

    public PortalBeanManager()

Method Detail

### getBookDefinitionManager

    public static BookDefinitionManager getBookDefinitionManager()

  Return an instance of the BookDefinitionManager session bean

### getBookDefinitionManagerHome

    protected static BookDefinitionManagerHome getBookDefinitionManagerHome()
                                                                     throws NamingException

  Lookup, instantiate, and cache the BookDefinitionManagerHome.

  Returns:
  Throws:
    `NamingException`

### getDesktopDefinitionManager

    public static DesktopDefinitionManager getDesktopDefinitionManager()

  Return an instance of the DesktopDefinitionManager session bean

### getDesktopDefinitionManagerHome

    protected static DesktopDefinitionManagerHome getDesktopDefinitionManagerHome()
                                                                           throws NamingException

  Lookup, instantiate, and cache the DesktopDefinitionManagerHome.

  Returns:
  Throws:
    `NamingException`

### getLocalizationManager

    public static LocalizationManager getLocalizationManager()

  Return an instance of the MarkupDefinitionManager session bean

### getLocalizationManagerHome

    protected static LocalizationManagerHome getLocalizationManagerHome()
                                                                 throws NamingException

  Lookup, instantiate, and cache the LocalizationManagerHome.

  Returns:
  Throws:
    `NamingException`

### getLookAndFeelDefinitionManager

    public static LookAndFeelDefinitionManager getLookAndFeelDefinitionManager()

  Return an instance of the LookAndFeelDefinitionManager session bean

### getLookAndFeelDefinitionManagerHome

    protected static LookAndFeelDefinitionManagerHome getLookAndFeelDefinitionManagerHome()
                                                                                   throws NamingException

  Lookup, instantiate, and cache the LookAndFeelDefinitionManagerHome.

  Returns:
  Throws:
    `NamingException`

### getMarkupDefinitionManager

    public static MarkupDefinitionManager getMarkupDefinitionManager()

  Return an instance of the MarkupDefinitionManager session bean

### getMarkupDefinitionManagerHome

    protected static MarkupDefinitionManagerHome getMarkupDefinitionManagerHome()
                                                                         throws NamingException

  Lookup, instantiate, and cache the MarkupDefinitionManagerHome.

  Returns:
  Throws:
    `NamingException`

### getPageDefinitionManager

    public static PageDefinitionManager getPageDefinitionManager()

  Return an instance of the PageDefinitionManager session bean

### getPageDefinitionManagerHome

    protected static PageDefinitionManagerHome getPageDefinitionManagerHome()
                                                                     throws NamingException

  Lookup, instantiate, and cache the PageDefinitionManagerHome.

  Returns:
  Throws:
    `NamingException`

### getPortalCustomizationManager

    public static PortalCustomizationManager getPortalCustomizationManager()

  Return an instance of the PortalCustomizationManager session bean

### getPortalCustomizationManagerHome

    protected static PortalCustomizationManagerHome getPortalCustomizationManagerHome()
                                                                               throws NamingException

  Lookup, instantiate, and cache the PortalCustomizationManagerHome.

  Returns:
  Throws:
    `NamingException`

### getPortalDefinitionManager

    public static PortalDefinitionManager getPortalDefinitionManager()

  Return an instance of the PortalDefinitionManager session bean

### getPortalDefinitionManagerHome

    protected static PortalDefinitionManagerHome getPortalDefinitionManagerHome()
                                                                         throws NamingException

  Lookup, instantiate, and cache the PortalDefinitionManagerHome.

  Returns:
  Throws:
    `NamingException`

### getPortletCategoryManager

    public static PortletCategoryManager getPortletCategoryManager()

  Return an instance of the PortletCategoryDefinitionManager session bean

### getPortletCategoryManagerHome

    protected static PortletCategoryManagerHome getPortletCategoryManagerHome()
                                                                       throws NamingException

  Lookup, instantiate, and cache the PortletCategoryManagerHome.

  Returns:
  Throws:
    `NamingException`

### getPortletDefinitionManager

    public static PortletDefinitionManager getPortletDefinitionManager()

  Return an instance of the PortletDefinitionManager session bean

### getPortletDefinitionManagerHome

    protected static PortletDefinitionManagerHome getPortletDefinitionManagerHome()
                                                                           throws NamingException

  Lookup, instantiate, and cache the PortletDefinitionManagerHome.

  Returns:
  Throws:
    `NamingException`

### getPreferencePersistenceDelegate

    public static com.bea.portlet.prefs.delegate.PreferencePersistenceDelegate getPreferencePersistenceDelegate()

  Return an instance of the PreferencePersistenceDelegate

### getPreferencePersistenceManager

    public static com.bea.portlet.prefs.PreferencePersistenceManager getPreferencePersistenceManager()

  Return an instance of the PreferencePersistenceManager session bean

### getPreferencePersistenceManagerHome

    protected static com.bea.portlet.prefs.PreferencePersistenceManagerHome getPreferencePersistenceManagerHome()
                                                                                                         throws NamingException

  Lookup, instantiate, and cache the PreferencePersistenceManagerHome.

  Returns:
  Throws:
    `NamingException`

### getShellDefinitionManager

    public static ShellDefinitionManager getShellDefinitionManager()

  Return an instance of the ShellDefinitionManager session bean

### getShellDefinitionManagerHome

    protected static ShellDefinitionManagerHome getShellDefinitionManagerHome()
                                                                       throws NamingException

  Lookup, instantiate, and cache the ShellDefinitionManagerHome.

  Returns:
  Throws:
    `NamingException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved